| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Num::Func3d2dBaseNoGradient Class Reference

Base class for 3D vector functions of 2 variables (implementations of the IFunc3d2d interface) that do not implement calculation of function Hessian (second derivatives) or gradient. More...

Inheritance diagram for IG::Num::Func3d2dBaseNoGradient:
[legend]
Collaboration diagram for IG::Num::Func3d2dBaseNoGradient:
[legend]

List of all members.

## Public Member Functions
override void | Gradient1 (double x, double y, out double gradx, out double grady)
| Function for calculating gradient of the first component of vector function, just throws the NotImplementedException exception.
override void | Gradient2 (double x, double y, out double gradx, out double grady)
| Function for calculating gradient of the second component of vector function, just throws the NotImplementedException exception.
override void | Gradient3 (double x, double y, out double gradx, out double grady)
| Function for calculating gradient of the third component of vector function, just throws the NotImplementedException exception.
override void | Hessian1 (double x, double y, out double dxx, out double dyy, out double dxy)
| Function for calculating Hessian of the first component, just throws the NotImplementedException exception.
override void | Hessian2 (double x, double y, out double dxx, out double dyy, out double dxy)
| Function for calculating Hessian of the second component, just throws the NotImplementedException exception.
override void | Hessian3 (double x, double y, out double dxx, out double dyy, out double dxy)
| Function for calculating Hessian of the third component, just throws the NotImplementedException exception.
## Protected Member Functions
| Func3d2dBaseNoGradient ()

## Detailed Description

Base class for 3D vector functions of 2 variables (implementations of the IFunc3d2d interface) that do not implement calculation of function Hessian (second derivatives) or gradient.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG::Num::Func3d2dBaseNoGradient::Func3d2dBaseNoGradient | ( |  | ) | `[inline, protected]`

## Member Function Documentation

override void IG::Num::Func3d2dBaseNoGradient::Gradient1 | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  | `[inline]`

Function for calculating gradient of the first component of vector function, just throws the NotImplementedException exception.

Implements IG::Num::IFunc3d2d.

override void IG::Num::Func3d2dBaseNoGradient::Gradient2 | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  | `[inline]`

Function for calculating gradient of the second component of vector function, just throws the NotImplementedException exception.

Implements IG::Num::IFunc3d2d.

override void IG::Num::Func3d2dBaseNoGradient::Gradient3 | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  | `[inline]`

Function for calculating gradient of the third component of vector function, just throws the NotImplementedException exception.

Implements IG::Num::IFunc3d2d.

override void IG::Num::Func3d2dBaseNoGradient::Hessian1 | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  | `[inline]`

Function for calculating Hessian of the first component, just throws the NotImplementedException exception.

Implements IG::Num::IFunc3d2d.

override void IG::Num::Func3d2dBaseNoGradient::Hessian2 | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  | `[inline]`

Function for calculating Hessian of the second component, just throws the NotImplementedException exception.

Implements IG::Num::IFunc3d2d.

override void IG::Num::Func3d2dBaseNoGradient::Hessian3 | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  | `[inline]`

Function for calculating Hessian of the third component, just throws the NotImplementedException exception.

Implements IG::Num::IFunc3d2d.

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events